Bug 247785 - cman should require sg3_utils and syslinux
cman should require sg3_utils and syslinux
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cman (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Chris Feist
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-11 09:29 EDT by David Juran
Modified: 2008-05-15 17:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-15 17:16:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Juran 2007-07-11 09:29:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.12) Gecko/20070529 Red Hat/1.5.0.12-1.el5 Firefox/1.5.0.12

Description of problem:
The script /etc/rc.d/init.d/scsi_reserve requires the commands sg_persist and gethostip which can be found in the sg3_utils and syslinux rpms.

Version-Release number of selected component (if applicable):
cman-2.0.60-3.fc7

How reproducible:
Always


Steps to Reproduce:
1. service scsi_reserve start


Actual Results:


Expected Results:


Additional info:
Comment 2 Bug Zapper 2008-05-14 09:30:50 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 David Juran 2008-05-15 10:39:33 EDT
It's arguable whether this really is a bug or not, i.e. if the cman package
really should depend on all dependencies of the fencing agents it contains but
for the record, cman-2.0.60-5.fc9.x86_64 in Fedora 9 still doesn't have these
dependencies.
Comment 4 Chris Feist 2008-05-15 17:16:56 EDT
If we require all of its dependencies we'll be pulling a lot of packages that
>99% of the users will ever use.  Closing this one as WONTFIX unless we have a
good reason to do this. 

Note You need to log in before you can comment on or make changes to this bug.